> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/orders/get-completely-cancelled-orders/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Completely Cancelled Orders GET https://sandbox-api.shipbob.com/2026-07/order/cancelled Retrieve the IDs of orders and their associated shipments that have been fully cancelled, meaning all shipments within the order are in a cancelled state. Reference: https://developer-stage.shipbob.dev/api/orders/get-completely-cancelled-orders ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Query parameters - `Page` (integer, optional) — Page of orders to get - `Limit` (integer, optional) — Amount of orders per page to request - `IsTrackingUploaded` (boolean, optional) — Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated ## Response ### 200 Success - `list of Orders.OrderShipmentIdsViewModel` ## Errors ### 400 Bad Request Error Bad Request - `map from string to list of string` ### 401 Unauthorized Error No access right at this time - `any` ### 403 Forbidden Error No access - `any` ## Types ### Orders.OrderShipmentIdsViewModel - `id` (long, optional) — Unique id of the order - `order_number` (string, optional, nullable) — User-friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used - `shipment_ids` (list of long, optional, nullable) — Shipments Ids affiliated with the order ## Examples **Response** ```json [ { "id": 0, "order_number": "string", "shipment_ids": [ 0 ] } ] ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/order/cancelled" querystring = {"Page":"1","Limit":"50","IsTrackingUploaded":"true"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/order/cancelled?Page=1&Limit=50&IsTrackingUploaded=true'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/order/cancelled?Page=1&Limit=50&IsTrackingUploaded=true" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/order/cancelled?Page=1&Limit=50&IsTrackingUploaded=true") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/order/cancelled?Page=1&Limit=50&IsTrackingUploaded=true") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/order/cancelled?Page=1&Limit=50&IsTrackingUploaded=true', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/order/cancelled?Page=1&Limit=50&IsTrackingUploaded=true"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/order/cancelled?Page=1&Limit=50&IsTrackingUploaded=true")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```